---  
title: Making a Better Web
---

Want to hear a joke?

## Web3.

Probably not the start you expected, but let's be honest with ourselves for a moment - the current state of web3 is a joke, at least to the majority of the world.

Sure, a lot of useful components are being made, but the focus is mostly on money, rather than our freedom and privacy. Money is what rules this space and everyone knows it. Scams, projects that are decentralized in name only and lack of education, that's what we got out of all those glorified DeFi and NFT, it's effectively one large casino with no real value or problems being solved. It's because it takes time and most of the people in space don't have such patience or intentions. And it makes sense when all that you need to get people interested is to just make a fancy presentation and pay some shills. This effectively misdirected flow of funding and talent from meaningful projects to scams and schemes, setting the space back by several years.

On the other side there is the Bitcoin, it doesn't care, it just works as it's meant to. Many tried to grasp control but failed, being educated about actual decentralization in the process. But while it's kind of a beacon of hope to many for a reason, it shouldn't be treated as an ideology or religion, which is actually happening. Don't worship money, use it.

So, what's next? Maybe to better understand this all, let's rewind a bit and learn from our past first.

### Web 1.0

This era started in early 90s and marks a first generation of the world wide web, aka internet. It was `open` and had an `unlimited potential`. Number of users was growing exponentially, as was the number of companies building in the space and it didn't take too long for few big ones to emerge and people just happily handing control of own data over to them.

### Web 2.0

By 2005, the internet was becoming increasingly centralized and this transition was complete with arrival of massive social networks connecting billions of people around the globe and monetizing their voluntarily entered and frequently updated personal data. On Web 2.0, the user is the real `product` and your data are no longer yours, same as your money on a bank account are not yours, you only trust a third party to manage it for you.


### Web3?

Web3 as an ideal is supposed to be about you, `the user`, not you, `the builder`. I have seen various ideas suggesting Web3 is `read + write + own`, and I can largely agree, though many builders don't agree with the route to achieve that.

![image](/read_write_own.png)

Web3 is also intended to help create a `creator economy`. It's meant to support the little guy and have an open community system where people can thrive `peer to peer (P2P)` and earn a living, without invasion of privacy or de-platforming. Many will argue that it's not a real problem if you don't do anything illegal, but that's not removing the possibility of your favorite service disappearing over night, it's just your decision to ignore it and eventually deal with consequences. Web3 is meant to be here for those who don't want to accept such risks and take the data ownership back in own hands.

One thing is for sure, the `internet for public` is with us for more than three decades, yet we are only starting to recognize another evolution beginning. Are we going to call it Web3, or 10 years later we will have a different term to call it? No idea. It's clear this is only the beginning and the space is still searching for the right approach and solutions to numerous issues.

Let's look at some of those.

## Problems and solutions

- First thing to say is that `it's not decentralized`. Many teams are building decentralized products, but it's like building a castle on sand, since they are using centralized storage for their data storage needs. I don't think a decentralized internet can exist without starting with decentralized storage. And that's a direction where I expect the next generation of Web3 apps to come from.

- `VC Funding`. While Venture Capitalists have an important role to play in the free market side of things, they are more often than not interested just in the easy profit, rather than actually contributing to the space. They have funded a lot of Research and Development (R&D) in a very high risk environment, but the good minority is overshadowed by the majority that wants to turn Web3 into a new walled garden to rent-seek on their users, completely defeating the ethos of the entire space. Lesson learned here is that if you want to fund the R&D for public infrastructure, you cannot do it with a for-profit focus. That's where we took a wrong turn in Web 2.0 and we cannot keep repeating the same mistake.

- This is especially true with `Decentralized Finance (DeFi)`, where the money/game theory often overrides ideology. The building blocks of an open market are very important and can be seen as public goods but we are increasingly being witnesses to market-competitiveness turning into the form of `Business Licences` or closed-source code which defeats the trustlessness of the system (*"Just trust me, bro."*)

- But the worst problem is the `infrastructure` we have. It's all in 3 places: AWS/Google, Cloudflare, ICANN and any of these could easily "kill" most of what we have today in just a flick of a switch. We are NOT ready for the battles that lie ahead for the space. We are sitting and waiting if `DeFi`, `Crypto`, or even `P2P technology` is declared illegal by the world tomorrow.


Most of the world would roll over and comply anyway since its what people always do, at least until everyone sees it, but then it's usually too late. And we cannot expect support from communities focusing on software rights like Linux. Even for them we are like black sheeps, most likely for the amount of bad actors in the space. But the core ideals remain, this is not about money or scams, this is about civil rights, freedom of speech & privacy, and your property ownership rights. This is the USA 1990's encryption wars, redux.

## Getting to real users

The whole trajectory of Web3 needs to go past short-term casino games, centralization of its infrastructure, and a Microsoft EEE mentality in the DeFi space. Only then can we start to get real value for users to care.

Our view is that, if you use Web3, and you don't notice it is any different to Web 2.0, it is boring and *"just is"*, only then the Web3 can be considered a success. An open web needs to be the `standard`, not the exception.

And that starts with `access`. Your network can be the most decentralized ever, but if no one can easily access it, does it matter? This is the last mile issue of Web3. We have all this infrastructure, centralized or decentralized, but access is still a barrier, and frankly... it's a joke.

We need to fix this. Now.
