---  
title: Building Blocks of Web3
---

If you hear someone talk about Web3 today, all they are talking about are just random NFT's, Casinos or future possibilities of internet.

But that's not what Web3 really is. `The new ingredience separating Web3 from Web2 is censorship-resistance`.

You can actually translate a lot of the Web2 technologies and components to their Web3 versions, and many can be reused even as they are right now.

When you look at the marketing for the hundreds of Web3/DeFi projects, it's all full of strong claims and promises, every single project sounds like re-definition of the internet, while it actually is just begging for attention and your money.

So instead of trying to explain what Web3 involves, lets explain what we have in Web2, and what its counterparts can look like in web3.

| Web2 Concept                           | Web3 Concept          | Description                                                                                                                                                                                                                                                                     |
|----------------------------------------|-----------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Money Ledgers                          | Blockchain            | Essential component of Web3. Instead of easily editable SQL database with bank account credits you have a blockchain ensured security and order of records. It's open-source and permission-less. Also: <ul><li>You have a single MySQL db, this is one Bitcoin node.</li><li>You scale that to two nodes, and setup active-active replication.</li><li>Now you decide the two servers cannot trust each other, so you need a consensus system.</li><li>Lastly you decide that for security, some sort of economy needs to exist, so that making changes has a cost to it.</li><li>You now have transformed a traditional web2 database into a blockchain.</li></ul> |
| Stored Procedures and Macros           | Smart Contracts       | Functions in MS Excel, MS Access, or SQL can interact with and modify records, similarly as Smart Contracts.                                                                                                                                                                    |
| MySQL/NoSQL                            | Distributed Databases | Several types of databases have evolved in web3. Some are pure P2P, some use on-chain data.                                                                                                                                                                                    |
| REST API                               | RPC                   | Most of the web runs on APIs, with REST being the most common. With blockchain databases, this becomes RPC systems.                                                                                                                                                             |
| Virtual Private Server (VPS)           | Compute Networks      | Blockchain networks broker compute services like AWS. Both Web2 and Web3 have P2P networks like BitTorrent and IPFS.                                                                                                                                                           |
| Serverless Functions and CDNs          | Edge Networks         | Specialization of compute networks from AWS with lambda but has since evolved. Some projects are experimenting with blockchain-based edge compute and CDNs.                                                                                                                    |
| NAS Backups, Archiving, Object Storage | Storage Networks      | The currency of the web is data. Secure, private, encrypted data storage is essential, and it comes in many forms for both Web3 and Web2.                                                                                                                                      |


Web3 is also fundamentally built on P2P networks in many forms and designs. Every blockchain alone is a P2P network, tracking its databases changes. That's very different from Web2, that is mostly using `server -> client` model.

We will always have servers, but they need to become more resilient by becoming anonymous and serving over P2P rather than in means that are easy to identify and censor. And while history shows us how much effort is always being put into centralization and limitation of human rights, it's the laws that will eventually have to adapt to the new technologies.
